<template>
  <div>
    <div class="product" v-for="(item, i) in cartlist" v-bind:key="item._id">
      <div>
        <h4 class="product-title">
          <router-link v-bind:to="'/product/' + item._id">
            {{ item.name }}
          </router-link>
        </h4>
        <label
          >{{ item.price }} x {{ cartquantites[i] }} =
          {{ item.price * cartquantites[i]  }} $</label
        >
        <br />Quantity:
        <button class="btn" @click="addQuantity(item)">+</button>
        {{ cartquantites[i] }}
        <button class="btn" @click="subQuantity(item)">-</button>
        
      </div>
      
    </div>
    Total: {{totalPrice }}
    <button @click="submitOrder()">Submit Order</button>
  </div>
</template>
<script>
import Axios from "axios";
export default {
  data: function () {
    return {
      cartlist: [],
      cartquantites: [],
      totalPrice: 0,
    };
  },
  mounted: function () {
    this.cartlist = this.$store.getters.getCartList;
    this.cartquantites = this.$store.getters.getCartQuantities;
    this.$store.commit("countTotalPrice");
    this.totalPrice = this.$store.getters.getTotalPrice;
  },
  methods: {
    addQuantity: function (item) {
      this.$store.commit("addQuantity", item);
      this.$store.commit("countTotalPrice");
    },
    subQuantity: function (item) {
      this.$store.commit("subQuantity", item);
      this.$store.commit("countTotalPrice");
    },
    submitOrder() {
      this.$store.commit("countTotalPrice");
      Axios.post("http://localhost:3000/orders", {
        totalPrice: this.$store.getters.getTotalPrice,
        items: this.$store.getters.getCartList,
        itemsCount: this.$store.getters.getCartCount,
      }) .then( () => {
        this.$store.commit("clearCart")
      });
      
    },
  },
};
</script>
